Bug 10834 - vfs_snapper should not be built on FreeBSD
vfs_snapper should not be built on FreeBSD
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All FreeBSD
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-24 12:17 UTC by Tristram Scott
Modified: 2014-12-10 20:10 UTC (History)
2 users (show)

See Also:


Attachments
Patch from master (1.50 KB, patch)
2014-12-02 21:49 UTC, Christian Ambach
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tristram Scott 2014-09-24 12:17:35 UTC
Hi,

the vfs_snapper module seems to want to build on FreeBSD systems.  Shouldn't there be a check to see if snapper is actually available on the OS before attempting to build this module?

The build fails because it is looking for <linux/ioctl.h>.

This is on the latest branch from github:

root@stor-pri-01:/opt/src/samba42-gcc-5d22bcf # git branch -v
* master 5d22bcf s3:torture: in LOCAL-MESSAGING-READ3, print some messages to child

Regards,

Tristram
Comment 1 Christian Ambach 2014-12-02 21:49:22 UTC
Created attachment 10477 [details]
Patch from master

Patch already exists in master, here is the back port to 4.2.
Comment 2 Christian Ambach 2014-12-05 14:54:57 UTC
Karolin,

please pick the patch for 4.2.
Comment 3 Karolin Seeger 2014-12-07 19:40:27 UTC
(In reply to Christian Ambach from comment #2)
Pushed to autobuild-v4-2-test.
Comment 4 Karolin Seeger 2014-12-10 20:10:31 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-2-test.
Closing out bug report.

Thanks!